static char TabText[2]	="\t";

static char Text1[8]	="bytes/s";
static char Text2[12]	="32768 byte:";
static char Text3[11]	="4096 byte:";
static char Text4[10]	="512 byte:";
static char Text5[16]	="Raw Write Speed";
static char Text6[15]	="Raw Read Speed";
static char Text7[13]	="Seek & Read:";
static char Text8[16]	="Directory Scan:";
static char Text9[13]	="File Delete:";
static char Text10[13]	="File Create:";
static char Text11[7]	="Drive:";

static char MenuText1[12]	="Version 0.1";
static char MenuText2[17]	="Copyright  1989";
static char MenuText3[16]	="By Michael Sinz";
static char MenuText4[11]	="Start Test";
static char MenuText5[5]	="Save";
static char MenuText6[6]	="Print";
static char MenuText7[23]	="MKSoft Disk Speed Test";
static char MenuText8[8]	="Project";

static char WindowText[20]	="Disk Speed Test 0.1";

static char File_Create[12];
static char File_Delete[12];
static char Directory_Scan[12];
static char Seek_And_Read[12];
static char Read_512[12];
static char Read_4096[12];
static char Read_32768[12];
static char Write_512[12];
static char Write_4096[12];
static char Write_32768[12];

static UBYTE Device[32];

static char fontnam[11]	="topaz.font";

static struct TextAttr TOPAZ60	={fontnam,TOPAZ_SIXTY,0,0};
static struct TextAttr TOPAZ80	={fontnam,TOPAZ_EIGHTY,0,0};


static SHORT BorderVectors1[]	={0,0,230,0,230,40,0,40,0,0};
static SHORT BorderVectors[]	={0,0,177,0,177,9,0,9,0,0};

static struct Border Border6	={4-56,24-13,1,0,JAM1,5,BorderVectors1,NULL};
static struct Border Border5	={5-56,25-13,2,0,JAM1,5,BorderVectors1,&Border6};
static struct Border Border4	={4-56,67-13,1,0,JAM1,5,BorderVectors1,&Border5};
static struct Border Border3	={5-56,68-13,2,0,JAM1,5,BorderVectors1,&Border4};
static struct Border Border2	={4-56,111-13,1,0,JAM1,5,BorderVectors1,&Border3};
static struct Border Border1	={5-56,112-13,2,0,JAM1,5,BorderVectors1,&Border2};
static struct Border Border	={-1,-1,1,0,JAM1,5,BorderVectors,&Border1};

static struct IntuiText IText25	={1,0,JAM2,48,129,&TOPAZ60,Write_32768,NULL};
static struct IntuiText IText24	={1,0,JAM2,48,120,&TOPAZ60,Write_4096,&IText25};
static struct IntuiText IText23	={1,0,JAM2,48,111,&TOPAZ60,Write_512,&IText24};
static struct IntuiText IText22	={1,0,JAM2,48,85,&TOPAZ60,Read_32768,&IText23};
static struct IntuiText IText21	={1,0,JAM2,48,76,&TOPAZ60,Read_4096,&IText22};
static struct IntuiText IText20	={1,0,JAM2,48,67,&TOPAZ60,Read_512,&IText21};
static struct IntuiText IText19	={1,0,JAM2,78,41,&TOPAZ60,Seek_And_Read,&IText20};
static struct IntuiText IText18	={1,0,JAM2,78,32,&TOPAZ60,Directory_Scan,&IText19};
static struct IntuiText IText17	={1,0,JAM2,78,23,&TOPAZ60,File_Delete,&IText18};
static struct IntuiText IText16	={1,0,JAM2,78,14,&TOPAZ60,File_Create,&IText17};

static struct IntuiText IText15	={3,0,JAM2,120,101,&TOPAZ80,Text1,&IText16};
static struct IntuiText IText14	={3,0,JAM2,120,57,&TOPAZ80,Text1,&IText15};
static struct IntuiText IText13	={1,0,JAM2,-49,129,&TOPAZ80,Text2,&IText14};
static struct IntuiText IText12	={1,0,JAM2,-41,120,&TOPAZ80,Text3,&IText13};
static struct IntuiText IText11	={1,0,JAM2,-33,111,&TOPAZ80,Text4,&IText12};
static struct IntuiText IText10	={1,0,JAM2,-49,101,&TOPAZ60,Text5,&IText11};
static struct IntuiText IText9	={1,0,JAM2,-49,85,&TOPAZ80,Text2,&IText10};
static struct IntuiText IText8	={1,0,JAM2,-41,76,&TOPAZ80,Text3,&IText9};
static struct IntuiText IText7	={1,0,JAM2,-33,67,&TOPAZ80,Text4,&IText8};
static struct IntuiText IText6	={1,0,JAM2,-49,57,&TOPAZ60,Text6,&IText7};
static struct IntuiText IText5	={1,0,JAM2,-50,41,&TOPAZ80,Text7,&IText6};
static struct IntuiText IText4	={1,0,JAM2,-49,32,&TOPAZ80,Text8,&IText5};
static struct IntuiText IText3	={1,0,JAM2,-49,23,&TOPAZ80,Text9,&IText4};
static struct IntuiText IText2	={1,0,JAM2,-49,14,&TOPAZ80,Text10,&IText3};
static struct IntuiText IText1	={1,0,JAM2,-50,0,&TOPAZ80,Text11,&IText2};

static struct IntuiText MText1	={3,1,COMPLEMENT,61,1,&TOPAZ80,MenuText1,NULL};
static struct IntuiText MText2	={3,1,COMPLEMENT,41,1,&TOPAZ80,MenuText2,NULL};
static struct IntuiText MText3	={3,1,COMPLEMENT,45,1,&TOPAZ80,MenuText3,NULL};

static struct IntuiText MText4	={3,1,COMPLEMENT,0,1,&TOPAZ80,MenuText4,NULL};
static struct IntuiText MText5	={3,1,COMPLEMENT,0,1,&TOPAZ80,MenuText5,NULL};
static struct IntuiText MText6	={3,1,COMPLEMENT,0,1,&TOPAZ80,MenuText6,NULL};

static struct StringInfo GadgetSInfo	={Device,NULL,0,31,0,0,0,0,0,0,0,0,NULL};

static struct Gadget MyGadget	={NULL,56,13,176,8,NULL,RELVERIFY,STRGADGET,(APTR)&Border,NULL,&IText1,NULL,(APTR)&GadgetSInfo,NULL,NULL};

static struct MenuItem MenuItem3	={NULL,0,20,216,10,ITEMTEXT|ITEMENABLED|HIGHCOMP,0,(APTR)&MText1,NULL,NULL,NULL,MENUNULL};
static struct MenuItem MenuItem2	={&MenuItem3,0,10,216,10,ITEMTEXT|ITEMENABLED|HIGHCOMP,0,(APTR)&MText2,NULL,NULL,NULL,MENUNULL};
static struct MenuItem MenuItem1	={&MenuItem2,0,0,216,10,ITEMTEXT|ITEMENABLED|HIGHCOMP,0,(APTR)&MText3,NULL,NULL,NULL,MENUNULL};

static struct MenuItem MenuItem6	={NULL,0,30,80,10,ITEMTEXT|ITEMENABLED|HIGHCOMP,0,(APTR)&MText6,NULL,NULL,NULL,MENUNULL};
static struct MenuItem MenuItem5	={&MenuItem6,0,15,80,10,ITEMTEXT|ITEMENABLED|HIGHCOMP,0,(APTR)&MText5,NULL,NULL,NULL,MENUNULL};
static struct MenuItem MenuItem4	={&MenuItem5,0,0,80,10,ITEMTEXT|ITEMENABLED|HIGHCOMP,0,(APTR)&MText4,NULL,NULL,NULL,MENUNULL};

static struct Menu Menu2	={NULL,80,0,220,0,MENUENABLED,MenuText7,&MenuItem1};
static struct Menu MyMenu	={&Menu2,0,0,70,0,MENUENABLED,MenuText8,&MenuItem4};

static struct NewWindow NewWindowStructure	={110,11,240,156,0,1,CLOSEWINDOW|ACTIVEWINDOW|MENUPICK,WINDOWDRAG|WINDOWDEPTH|WINDOWCLOSE|ACTIVATE|NOCAREREFRESH,&MyGadget,NULL,WindowText,NULL,NULL,0,0,0,0,WBENCHSCREEN};
